<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.interfaces.IValidatableProxyWidget&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.i.IValidatableProxyWidget(<a href="kiwi.interfaces.IProxyWidget.html">IProxyWidget</a>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.interfaces.html">interfaces</a></span>
      
      <a href="classIndex.html#kiwi.interfaces.IValidatableProxyWidget">View In Hierarchy</a>
    </p>
    <div>
      
    </div>
    <div><p>IValidatableProxyWidget extends IProxyWidget with validation support</p>
Signals:
<pre class="literalblock">
  validate: This emitted so each widget can provide it's own
    custom validation.
  validation-changed: This is emitted when the validation status
    changes, mainly used by the proxy.
</pre>
Properties:
<pre class="literalblock">
  mandatory: bool, if the widget is mandatory
</pre>
<table class="fieldTable"></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id416">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.interfaces.IValidatableProxyWidget.html#is_valid">is_valid</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.interfaces.IValidatableProxyWidget.html#validate">validate</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
        <p>
          Inherited from <a href="kiwi.interfaces.IProxyWidget.html">IProxyWidget</a>:
        </p>
        <table class="children sortable" id="id417">
  
  
  
  
  <tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.interfaces.IProxyWidget.html#read">read</a></td>
    <td><span>Reads the content of the widget and returns in an appropriate
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.interfaces.IProxyWidget.html#update">update</a></td>
    <td><span>Updates the content of the widget with a value
</span></td>
  </tr>
  
</table>
      
        <p>
          Inherited from <a href="kiwi.component.Interface.html">Interface</a> (via <a href="kiwi.interfaces.IProxyWidget.html">IProxyWidget</a>):
        </p>
        <table class="children sortable" id="id418">
  
  
  
  
  <tr class="baseclassmethod">
    
    
    <td>Class Method</td>
    <td><a href="kiwi.component.Interface.html#providedBy">providedBy</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.interfaces.IValidatableProxyWidget.is_valid"></a>
        <a name="is_valid"></a>
        <div class="functionHeader">
        
        def is_valid():
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.interfaces.IValidatableProxyWidget.validate"></a>
        <a name="validate"></a>
        <div class="functionHeader">
        
        def validate(force=False):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>